package com.app.input.inputaura.onjfsgvfsf;


import android.content.Context;
import android.content.Intent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;

import androidx.annotation.NonNull;
import androidx.cardview.widget.CardView;
import androidx.recyclerview.widget.RecyclerView;

import com.app.input.inputaura.R;
import com.app.input.inputaura.dasda.Shikamaru;
import com.app.input.inputaura.bgtng.UngIn;
import com.app.input.inputaura.lmyfvfs.ViyVyg;
import com.bumptech.glide.Glide;
import com.app.input.inputaura.kfsdfbsd.IutFhfg;

import java.util.ArrayList;
import java.util.List;

public class DhgUb extends RecyclerView.Adapter<DhgUb.ForYouViewHolder> {

    private Context mContext;
    private List<Shikamaru> mList = new ArrayList<>();

    private UngIn mCallBack;

    public DhgUb(Context context) {
        mContext = context;
    }

    public void setForYouList(List<Shikamaru> list) {
        this.mList = list;
        notifyDataSetChanged();
    }
    public void setClickAction(UngIn callback) {
        mCallBack = callback;
    }

    @NonNull
    @Override
    public ForYouViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {

        View view = LayoutInflater.from(mContext).inflate(R.layout.xusyt, parent, false);
        return new ForYouViewHolder(view);
    }

    @Override
    public void onBindViewHolder(@NonNull ForYouViewHolder holder, int position) {
        Shikamaru shikamaru = mList.get(position);
        String thumbGif = shikamaru.getThumbGif();
        String thumb = shikamaru.getThumbUrl();
        if (!thumbGif.isEmpty()) {
            IutFhfg.INSTANCE.loadWepJif(mContext, thumbGif, holder.itemImg);
        } else {
            Glide.with(mContext).load(thumb).into(holder.itemImg);
        }

        holder.cardView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intentApply = new Intent(mContext, ViyVyg.class);
                intentApply.putExtra(ViyVyg.SOURCE_KEY, shikamaru);
                intentApply.putExtra(ViyVyg.DISPLAY_URL_KEY, shikamaru.getImgPath());
                intentApply.putExtra(ViyVyg.ZIP_URL_KEY, shikamaru.getZipPath());
                intentApply.putExtra(ViyVyg.NAME_KEY, shikamaru.getTitleName());
                intentApply.putExtra(ViyVyg.GIF_KEY, shikamaru.getImgGif());
                String intent_thumb;
                if (!thumbGif.isEmpty()) {
                    intent_thumb = thumbGif;
                } else {
                    intent_thumb = thumb;
                }
                intentApply.putExtra(ViyVyg.THUMB_KEY, intent_thumb);
                mContext.startActivity(intentApply);
                if (mCallBack != null) {
                    mCallBack.OnItemClickListener();
                }

            }
        });


    }

    @Override
    public int getItemCount() {
        return mList.size();
    }

    public static class ForYouViewHolder extends RecyclerView.ViewHolder {

        private CardView cardView;
        private ImageView itemImg;

        public ForYouViewHolder(@NonNull View itemView) {
            super(itemView);
            cardView = itemView.findViewById(R.id.card_view);
            itemImg = itemView.findViewById(R.id.imPreview);

        }

    }

//    private void loadWepJif(String webpGifUrl,ImageView view){
//        Glide.with(mContext).load(webpGifUrl).addListener(new RequestListener<Drawable>() {
//            @Override
//            public boolean onLoadFailed(@Nullable GlideException e, @Nullable Object model, @NonNull Target<Drawable> target, boolean isFirstResource) {
//                return false;
//            }
//
//            @Override
//            public boolean onResourceReady(@NonNull Drawable resource, @NonNull Object model, Target<Drawable> target, @NonNull DataSource dataSource, boolean isFirstResource) {
//               if(resource instanceof WebpDrawable){
//                   WebpDrawable webpDrawable = (WebpDrawable) resource;
//                   webpDrawable.setLoopCount(LOOP_FOREVER);
//               }
//
//                return false;
//            }
//        }).into(view);
//    }
}
